Facebook Developers
DocsToolsSupportNewsApps
Log In
  • Social Plugins
  • Facebook Login
  • Open Graph
  • Facebook APIs
    • Graph API
    • FQL
    • Open Graph
    • Dialogs
    • Chat
    • Internationalization
    • Ads
  • Games
  • Payments
  • App Center
  • Promote Your App
  • iOS
  • Android
  • JavaScript
  • PHP
  • More SDKs
  • Best Practices
    • Ad Report Stats
    • Batch Requests
    • Using ETags
  • Reference
    • Cost Per Action (CPA) Ads
    • Currencies
    • Introduction to Action Spec
    • Introduction to Sponsored Stories
    • Mobile App Install Ads
    • Optimized CPM
    • Real Time Bidded Exchange protocol
    • Sponsored Results
    • Thrift file for Real Time Bidded Exchange protocol
  • Specs
    • Conversion Specs
    • Creative Specs
    • Defining Action Specs
    • Targeting Specs
    • Tracking Specs
  • Advanced Targeting
    • Action Spec Targeting
    • Conversion pixels
    • Custom Audience targeting
    • Topic Targeting
    • ZIP Code Targeting
  • Queries
    • Action Estimate
    • Action Spec Ad Previews
    • Ad Statistics
    • Autocomplete Data
    • Broad Target Categories
    • Connection Objects
    • Conversion Stats
    • Keyword Stats
    • Partner Categories
    • Reach estimate
    • Targeting Description
  • Objects
    • Ad account
    • Ad account group
    • Ad campaign
    • Ad creative
    • Ad group
    • Ad image
    • Ad user

Ad user

Facebook APIs › Ads › Ad user

An Ad User is a regular Facebook user who chooses to create Ads. Each Ad Account has at least one Ad user. Each user has a role which defines what they can do with the ad account.

The possible roles are the following:

  • 1001, administrator access
  • 1002, general-user (ad manager) access
  • 1003, reports-only access

The user's role defines the permissions which are available to them. The permissions enable the user to do the following:

  • 1: ACCOUNT_ADMIN: modify the set of users associated with the given account.
  • 2: ADMANAGER_READ: view campaigns and ads
  • 3: ADMANAGER_WRITE: manage campaigns and ads
  • 4: BILLING_READ: view account billing information
  • 5: BILLING_WRITE: modify the account billing information
  • 7: REPORTS: run reports

Fields

Name Description Returns
id The User ID of the user long
permissions An array of the permissions that user has. an array of int
role The role of the user int

Read

To retrieve the account's users and roles make the following request:

act_{account_id}/users?access_token=__

Each user ID (id) is returned with a number for the user's role (role), along with numbers for each of the permissions (permissions) of the user. If the calling user has reports-only access to the specified account, other users' access to the account is not returned. Here is an example of a response:

{
  "data": [
    {
      "id": 121211,
      "permissions": [
        1,
        2,
        3,
        4,
        5,
        7
      ],
      "role": 1001
    }
  ]
}

Create

Adding users to an account

To add auser to an account make a the following HTTP POST request:

curl -F "uid=123456" -F "role=1002" "https://graph.facebook.com/act_{account_id}/users?access_token=__"

Delete

Delete users from an account

To remove a user from an account make the following HTTP DELETE request:

curl -XDELETE "https://graph.facebook.com/act_{account_id}/users/123456?access_token=__"
Updated over a year ago
Facebook © 2013 · English (US)
AboutAdvertisingCareersPlatform PoliciesPrivacy Policy